Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class HandlerAction.Automatic

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.HandlerAction.Automatic

Direct Known Subclasses:
  HandlerAction.AutomaticWhenBound

Enclosing class:
  HandlerAction

    public static class HandlerAction.Automatic

extends HandlerAction

Handles an issue by invoking one of the agent-level issue-handlers.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) ItemHandler` | `handler`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`HandlerAction.Automatic(ItemHandler h)`
`HandlerAction.Automatic(ItemHandler h, java.lang.String descr)`

Method Summary
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, getUnreadyReason, isReady, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### handler

    ItemHandler handler

Constructor Detail

### HandlerAction.Automatic

    public HandlerAction.Automatic(ItemHandler h)

### HandlerAction.Automatic

    public HandlerAction.Automatic(ItemHandler h,
                                   java.lang.String descr)

Method Detail

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD